<?php
/**
 * The create view file of domain module of ZenTaoPMS.
 * @copyright   Copyright 2009-2023 禅道软件（青岛）有限公司(ZenTao Software (Qingdao) Co., Ltd. www.zentao.net)
 * @license     ZPL(https://zpl.pub/page/zplv12.html) or AGPL(https://www.gnu.org/licenses/agpl-3.0.en.html)
 * @author      Yang Li <liyang@easycorp.ltd>
 * @package     domain
 * @link        https://www.zentao.net
 */
namespace zin;

formPanel
(
    set::id('domainCreateForm'),
    set::title($lang->domain->create),
    formGroup
    (
        set::name('domain'),
        set::label($lang->domain->domain)
    ),
    formGroup
    (
        set::name('adminURI'),
        set::label($lang->domain->adminURI)
    ),
    formGroup
    (
        set::name('resolverURI'),
        set::label($lang->domain->resolverURI)
    ),
    formGroup
    (
        set::name('register'),
        set::label($lang->domain->register)
    ),
    formGroup
    (
        set::name('expiredDate'),
        set::label($lang->domain->expiredDate),
        set::control('datePicker')
    ),
    formGroup
    (
        set::name('renew'),
        set::label($lang->domain->renew),
        set::items($lang->domain->renewMethod)
    ),
    formGroup
    (
        set::name('account'),
        set::label($lang->domain->account),
        set::items($users)
    )
);
